- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_handler.h File Reference

`#include <axis2_defines.h>`
`#include <axutil_qname.h>`
`#include <axutil_param.h>`

Go to the source code of this file.

## Typedefs
typedef struct axis2_handler | axis2_handler_t
typedef axis2_status_t(* | AXIS2_HANDLER_INVOKE )(axis2_handler_t *handler, const axutil_env_t *env, struct axis2_msg_ctx *msg_ctx)
typedef axis2_handler_t *(* | AXIS2_HANDLER_CREATE_FUNC )(const axutil_env_t *env, const axutil_string_t *name)
## Functions
AXIS2_EXTERN void | axis2_handler_free (axis2_handler_t *handler, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_handler_init (axis2_handler_t *handler, const axutil_env_t *env, struct axis2_handler_desc *handler_desc)
AXIS2_EXTERN axis2_status_t | axis2_handler_invoke (axis2_handler_t *handler, const axutil_env_t *env, struct axis2_msg_ctx *msg_ctx)
AXIS2_EXTERN const axutil_string_t * | axis2_handler_get_name (const axis2_handler_t *handler, const axutil_env_t *env)
AXIS2_EXTERN axutil_param_t * | axis2_handler_get_param (const axis2_handler_t *handler, const axutil_env_t *env, const axis2_char_t *name)
AXIS2_EXTERN struct axis2_handler_desc * | axis2_handler_get_handler_desc (const axis2_handler_t *handler, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_handler_set_invoke (axis2_handler_t *handler, const axutil_env_t *env, AXIS2_HANDLER_INVOKE func)
AXIS2_EXTERN axis2_handler_t * | axis2_handler_create (const axutil_env_t *env)
AXIS2_EXTERN axis2_handler_t * | axis2_ctx_handler_create (const axutil_env_t *env, const axutil_string_t *qname)

## Detailed Description